---
- name: Mise à jour et mise à niveau des paquets sur plusieurs machines Ubuntu
  hosts: ubuntu_laptop_lenovo
  become: yes
  tasks:
    - name: Mise à jour du cache des paquets
      apt:
        update_cache: yes
        cache_valid_time: 3600  # Durée de validité du cache en secondes

    - name: Mise à niveau des paquets
      apt:
        upgrade: dist  # Pour appliquer toutes les mises à jour disponibles
        autoremove: yes
        autoclean: yes

